Summary: Promiscuous mode IP Accounting package
Name: pmacct
Version: 0.14.3
Release: 3%dist
License: GPL
Group: System Environment/Daemons
Source: http://www.pmacct.net/%{name}-%{version}.tar.gz
Source1: pmacct.init
Patch1: pmacct-0.14.3-dbport.patch
URL: http://www.pmacct.net/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: mysql-devel
BuildRequires: libpcap-devel

%description
pmacct is a small set of passive network monitoring tools to measure, account,
classify and aggregate IPv4 and IPv6 traffic; a pluggable and flexible
architecture allows to store the collected traffic data into memory tables or
SQL (MySQL, SQLite, PostgreSQL) databases. pmacct supports fully customizable
historical data breakdown, flow sampling, filtering and tagging, recovery
actions, and triggers. Libpcap, sFlow v2/v4/v5 and NetFlow v1/v5/v7/v8/v9 are
supported, both unicast and multicast. Also, a client program makes it easy to
export data to tools like RRDtool, GNUPlot, Net-SNMP, MRTG, and Cacti.

%prep
%setup -q
%patch1 -p1
#chmod a+rx docs examples sql
#find docs examples sql -type f -print0 | xargs -r0 chmod -x

%build
%configure \
    --sysconfdir=%{_sysconfdir}/pmacct \
    --enable-threads \
    --enable-64bit \
    --enable-mysql \
    --with-mysql-libs=%{_libdir}/mysql \
    --with-mysql-includes=/usr/include/mysql/ \
    --enable-ulog \
    --enable-ipv6 \
    --enable-v4-mapped


%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

ln -sf ../../etc/init.d/nfacctd $RPM_BUILD_ROOT/usr/sbin/rcnfacctd
ln -sf ../../etc/init.d/pmacctd $RPM_BUILD_ROOT/usr/sbin/rcpmacctd
ln -sf ../../etc/init.d/sfacctd $RPM_BUILD_ROOT/usr/sbin/rcsfacctd

%{__install} -m 0755 -Dp %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/pmacctd
%{__install} -m 0755 -d %{buildroot}/%{_sysconfdir}/pmacct

rm -f $RPM_BUILD_ROOT/usr/sbin/rc*acctd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING FAQS INSTALL KNOWN-BUGS NEWS QUICKSTART README TODO TOOLS UPGRADE
%doc docs examples sql
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_sysconfdir}/init.d/*
%dir /etc/pmacct

%changelog
* Thu Apr 10 2014 ClearFoundation <developer@clearfoundation.com> - 0.14.3-3
- remove init script dependency on functions-automagic

* Wed Jul 31 2013 ClearFoundation <developer@clearfoundation.com> - 0.14.3-2
- fixed and updated init script

* Fri Jul 19 2013 ClearFoundation <developer@clearfoundation.com> - 0.14.3-1
- imported from Mandriva
